CGAL 6.1 - 3D Mesh Generation

Loading...
Searching...
No Matches
List of all members | Public Member Functions
CGAL::Construct_initial_points_labeled_image< C3t3, MeshDomain > Struct Template Reference
Reference Manual » Mesh Initialization Functors

`#include <CGAL/Mesh_3/Construct_initial_points_labeled_image.h>`

## Definition

template<typename C3t3, typename MeshDomain>
struct CGAL::Construct_initial_points_labeled_image< C3t3, MeshDomain >

Functor for generating initial points in labeled images.

This functor is a model of the `InitialPointsGenerator_3` concept, and can be passed as a parameter to `CGAL::make_mesh_3()` using the `CGAL::parameters::initial_points_generator()` parameter function.

This functor scans the complete image to detect all its connected components, and constructs points on the surface of each of them. Its goal is to initialize each component, each of them corresponding to a subdomain. It ensures that each component will be initialized, i.e. represented by at least one cell of the triangulation.

Template Parameters

  C3t3 | model of `MeshComplex_3InTriangulation_3`
  MeshDomain | model of `MeshDomain_3`

Is model of
  `InitialPointsGenerator_3`

See also
  `CGAL::parameters::initial_points_generator()`
  `CGAL::make_mesh_3()`
  `CGAL::Construct_initial_points_gray_image`

Examples
  Mesh_3/mesh_3D_image_with_image_initialization.cpp.

## Public Member Functions
| Construct_initial_points_labeled_image (const CGAL::Image_3 &image, const MeshDomain &domain)
| Constructs a functor for generating initial points in labeled images.
template<typename OutputIterator >
OutputIterator | operator() (OutputIterator pts, const int n=20) const
| constructs at least `n` initial points.

## Constructor & Destructor Documentation

## ◆ Construct_initial_points_labeled_image()

template<typename C3t3 , typename MeshDomain >

CGAL::Construct_initial_points_labeled_image< C3t3, MeshDomain >::Construct_initial_points_labeled_image | ( | const CGAL::Image_3 & | image,
|  | const MeshDomain & | domain
| ) |  |

Constructs a functor for generating initial points in labeled images.

Parameters

  image | the labeled image that defines the mesh domain
  domain | the mesh domain

## Member Function Documentation

## ◆ operator()()

template<typename C3t3 , typename MeshDomain >
template<typename OutputIterator >

OutputIterator CGAL::Construct_initial_points_labeled_image< C3t3, MeshDomain >::operator() | ( | OutputIterator | pts,
|  | const int | n = `20`
| ) |  | const

constructs at least `n` initial points.

Template Parameters

  OutputIterator | model of `OutputIterator` for tuple-like objects containing a `Weighted_point_3` for the point an `int` for the minimal dimension of the subcomplexes on which the point lies a `MeshDomain::Index` for the corresponding subcomplex index